<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro
        
	$fecha=$_POST['fec_obs'];
	$tip_aspecto=$_POST['tipo_aspecto'];
	$obs=$_POST['txt_obs'];
        $accion_rep=$_POST['accion_rep'];
	$cod_est_grup=$_POST['cd_es_gr'];
	$periodo=$_POST['periodo'];

	switch($acction){
		case 'del':
			$sql="delete from `aca_observacion_seguimiento`  WHERE cod_observacion_seguimiento = '$codigo';";
                    
		break;
		case 'edit';
			$codmatxest=$cod_estxasixgr[0]['idm'];
			$nhr=$cod_estxasixgr[0]['nhr'];
			$sql="UPDATE aca_observacion_seguimiento
				SET tipo_observacion = '$periodo',fecha_observacion = '$fecha',observacion = '$obs', accion_reparadora='$accion_rep' WHERE cod_observacion_seguimiento = '$codigo'";
		break;
		case 'new':
			$cad="('$cod_est_grup','$fecha','$tip_aspecto','$obs','$accion_rep')";
			
			
			$sql="INSERT INTO aca_observacion_seguimiento (cod_estudiantes_grupos, fecha_observacion, tipo_observacion, observacion,accion_reparadora) "
                                . "VALUES $cad;";
		break;
		
		default:
			$sql="";
	}
	if($sql!=''){
		$academia->instruccion($sql);
               #echo $sql;
		if($acction=='new'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}		
}
$academia->cerrar();
?>